blaze-markup-0.8.3.0: A blazingly fast markup combinator library for Haskell

Safe Haskell | None
Language | Haskell2010

Text.Blaze.Renderer.Utf8

Synopsis

- renderMarkupBuilder :: Markup -> Builder
- renderMarkup :: Markup -> ByteString
- renderMarkupToByteStringIO :: (ByteString -> IO ()) -> Markup -> IO ()
- renderHtmlBuilder :: Markup -> Builder
- renderHtml :: Markup -> ByteString
- renderHtmlToByteStringIO :: (ByteString -> IO ()) -> Markup -> IO ()

# Documentation

renderMarkupBuilder Source #

Arguments

:: Markup | Markup to render
-> Builder | Resulting builder

Render some `Markup` to a `Builder`.

renderMarkup Source #

Arguments

:: Markup | Markup to render
-> ByteString | Resulting `ByteString`

Render HTML to a lazy UTF-8 encoded 'L.ByteString.'

renderMarkupToByteStringIO Source #

Arguments

:: (ByteString -> IO ()) | IO action to execute per rendered buffer
-> Markup | Markup to render
-> IO () | Resulting IO action

Repeatedly render HTML to a buffer and process this buffer using the given IO action.

renderHtmlBuilder Source #

Arguments

:: Markup | Markup to render
-> Builder | Resulting builder

Deprecated: Use renderHtmlBuilder from Text.Blaze.Html.Renderer.Utf8 instead

Render some `Markup` to a `Builder`.

renderHtml Source #

Arguments

:: Markup | Markup to render
-> ByteString | Resulting `ByteString`

Deprecated: Use renderHtml from Text.Blaze.Html.Renderer.Utf8 instead

Render HTML to a lazy UTF-8 encoded 'L.ByteString.'

renderHtmlToByteStringIO Source #

Arguments

:: (ByteString -> IO ()) | IO action to execute per rendered buffer
-> Markup | Markup to render
-> IO () | Resulting IO action

Deprecated: Use renderMarkupToByteStringIO from Text.Blaze.Html.Renderer.Utf8 instead

Repeatedly render HTML to a buffer and process this buffer using the given IO action.